package com.sd.business.entity.board.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 佰卓sku销量看板数据查询返回值实体
 *
 * @since 2024-01-12
 */
@Getter
@Setter
public class BzSkuSalesBoardVo {

    /**
     * sku规格编码
     */
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    private String skuSpecName;

    /**
     * 30天日销售量
     */
    private BigDecimal dailySales;

    /**
     * 安全库存（3天销量）
     */
    private BigDecimal safetyStock;

    /**
     * 当前库存数量
     */
    private BigDecimal inventoryQuantity;
}
