package com.sd.business.entity.production.vo;

import com.sd.business.entity.production.po.ProductionExceedReceiveSku;
import lombok.Getter;
import lombok.Setter;

/**
 * 生产超领sku列表查询返回值实体
 *
 * @author
 * @since 2023-11-08
 */
@Getter
@Setter
public class ProductionExceedReceiveSkuVo extends ProductionExceedReceiveSku {

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * 仓库名称
     */
    private String warehouseName;
}
