package com.sd.business.entity.statement.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class DeliveryOfGoodsVO {

    @ColumnWidth(20)
    @ExcelProperty(value = "出入库单号")
    private String receiptNumber;

    @ColumnWidth(20)
    @ExcelProperty(value = "业务日期")
    private Date businessDate;

    @ColumnWidth(20)
    @ExcelProperty(value = "仓库")
    private String warehouse;

    @ColumnWidth(30)
    @ExcelProperty(value = "规格")
    private String spec;

    @ColumnWidth(20)
    @ExcelProperty(value = "出库数量")
    private BigDecimal outboundQuantity;

    @ColumnWidth(20)
    @ExcelProperty(value = "订单号")
    private String orderCode;

    @ColumnWidth(20)
    @ExcelProperty(value = "系统订单号")
    private String orderWlnCode;

    @ColumnWidth(20)
    @ExcelProperty(value = "快递单号")
    private String express;

}
