package com.sd.business.mapper.order;

import com.sd.business.entity.order.po.OrderProofingRegistration;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderProofingRegistrationVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单打样登记 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-12-19
 */
public interface OrderProofingRegistrationMapper extends BaseMapper<OrderProofingRegistration> {

    /**
     * 订单打样登记分页
     */
    Page<OrderProofingRegistrationVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderProofingRegistration> wrapper);

}
