package com.sd.business.entity.production.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class OutBomDto {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 库存数量
     */
    private BigDecimal inventoryQuantity;

    /**
     * 出库数量
     */
    private BigDecimal outQuantity;

    /**
     * 分类id
     */
    private Long classifyId;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 分类父id
     */
    private Long classifyParentId;
}
